com.sun.jna.platform.win32

## Class PsapiUtil

- java.lang.Object
- - com.sun.jna.platform.win32.PsapiUtil

    public abstract class PsapiUtil
    extends java.lang.Object

Psapi utility API.

Author:
  Torbjörn Svensson, azoff[at]svenskalinuxforeningen.se

### Constructor Summary

Constructors
Constructor and Description
`PsapiUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int[]` `enumProcesses()` Retrieves the process identifier for each process object in the system.
`static java.lang.String` `GetProcessImageFileName(WinNT.HANDLE hProcess)` Retrieves the name of the executable file for the specified process.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PsapiUtil

    public PsapiUtil()

### Method Detail

#### enumProcesses

    public static int[] enumProcesses()

Retrieves the process identifier for each process object in the system.

Returns:
  Array of pids

#### GetProcessImageFileName

    public static java.lang.String GetProcessImageFileName(WinNT.HANDLE hProcess)

Retrieves the name of the executable file for the specified process.

Parameters:
  `hProcess` - A handle to the process. The handle must have the PROCESS_QUERY_INFORMATION or PROCESS_QUERY_LIMITED_INFORMATION access right. For more information, see Process Security and Access Rights.
  Windows Server 2003 and Windows XP: The handle must have the PROCESS_QUERY_INFORMATION access right.
Returns:
  ame of the executable file for the specified process.
Throws:
  `Win32Exception` - in case an error occurs
See Also:
  MSDN

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.